Subject: Re: Cygwin fork failure
From: [email-masked]
To: [email-masked]
Cc: David Svoboda <[email-masked]>
Date: Mon, 21 Nov 2005 14:04:51 -0500

On Saturday 19 November 2005 01:07 am, Larry Hall (Cygwin) wrote:
> David Svoboda wrote:
> > I have built a C++ server program called 'analyzer'. But when I try to
> > run it, it fails upon trying to execute a 'fork' command. Why?
> >
> >
> >    $ analyzer --KANTOO_LANGUAGE=toy -server-multiple -fork
> >    Analyzer 2.0
> > ***      5 [main] analyzer 1712
> > fhandler_disk_file::fixup_mmap_after_fork: requested 0x18730000 != 0x0
> > mem alloc base 0x18730000, state 0x1000, size 4096, Win32 error 487
> > ***     d:\svoboda\kantoo\bin\analyzer (1712): ***
> > recreate_mmaps_after_fork_failed
> > ***     9 [main] analyzer 2200 fork_parent: child 1712 died waiting for
> > dll loading
> > ***     Failed to fork properly!
> >     ]0;~
> >     svoboda@quebec ~
> >     $
> >
> > The *** lines indicate the errors.
> >
> > Version info: The analyzer was built with G++ 3.3.3, on WinXPSP2. Here
> > is the output of cygcheck. So why does the fork call fail?
>
> If running 'rebaseall' doesn't help (see the README) and 'analyzer' doesn't
> use any DLLs that were built as part of that package (in which case you
> need to tell 'rebaseall' about them), then try:
>
> <http://sources.redhat.com/ml/cygwin/2005-09/msg00945.html>

Thanks for the response. The 'analyzer' program is statically linked; it 
involves no DLLs. Rebaseall did nothing. And increasing the size of the heaps 
did nothing (I tried 2x, 4x, 8x and 16x). My machine is totally wedged 
now...even safe mode doesn't work.

I can only say that this fork problem happens on several other Windows 
machines at our university, but it does not seem to happen to machines not at 
the university. Furthermore this fork problem now affects previous versions 
of my 'analyzer' software...last week's version worked then, but does not 
now. It's as if  Satan put a curse on all the PCs only at this university.

Any other suggestions?
~Dave

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/